### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.connection.omr

# Class OMRConnectionFactoryConfiguration

java.lang.Object
com.sas.services.connection.ConnectionFactoryConfiguration
com.sas.services.connection.omr.OMRConnectionFactoryConfiguration

All Implemented Interfaces:
  `Cloneable`

@SASScope("ALL") @BinaryCompatibilityOnly public class OMRConnectionFactoryConfiguration extends ConnectionFactoryConfiguration
A connection factory configuration that describes a server or a pool of servers to connect to using meta data in an OMR server. This class may be simpler to set up and use than `com.sas.services.connection.platform.PlatformConnectionFactoryConfiguration`, but it also has fewer features. For example, objects of this class do not automatically reconnect to the metadata server if their connections are lost during their lifetime.

The permission set of the user associated with the connection to the metadata server has an impact on the behavior of connection factories that are configured by reading metadata over that connection. In particular, connection factory configurations that contain a login object are interpreted differently by different users. See the "Metadata Repository Security Issues" section of the package description for `com.sas.services.connection.platform` for more information.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `flags`
  `static final String`
  `longTemplate`
  `protected static final Integer`
  `typeFailover`
  `protected static final Integer`
  `typeLoadBalancing`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OMRConnectionFactoryConfiguration(com.sas.meta.SASOMI.IOMI omrServer, String objectID)`
  Constructs a factory configuration based on the ID of a meta data object.
  `OMRConnectionFactoryConfiguration(com.sas.meta.SASOMI.IOMI omrServer, String repositoryID, String objectName)`
  Constructs a factory configuration based on the name of a meta data object.
  `OMRConnectionFactoryConfiguration(com.sas.metadata.LogicalServer object)`
  Deprecated.
  use OMRConnectionFactoryConfiguration(com.sas.metadata.remote.LogicalServer)
  `OMRConnectionFactoryConfiguration(com.sas.metadata.LogicalServer object, boolean fullyFetched)`
  Deprecated.
  use OMRConnectionFactoryConfiguration(com.sas.metadata.remote.LogicalServer)
  `OMRConnectionFactoryConfiguration(com.sas.metadata.remote.LogicalServer remoteObject)`
  Constructs a factory configuration based on a live RMI connection to a meta data object.
  `OMRConnectionFactoryConfiguration(com.sas.metadata.remote.LogicalServer remoteObject, boolean fullyFetched)`
  Constructs a factory configuration based on a live RMI connection to a meta data object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object that)`
  `com.sas.metadata.LogicalServer`
  `getObject()`
  Deprecated.
  use getRemoteObject()
  `String`
  `getObjectID()`
  Get the fully-qualified ID of the LogicalServer object.
  `String`
  `getObjectName()`
  Get the name of the LogicalServer object.
  `com.sas.meta.SASOMI.IOMI`
  `getOMRServer()`
  Get the live connection to the OMR server.
  `com.sas.metadata.remote.LogicalServer`
  `getRemoteObject()`
  Get the live RMI connection to the LogicalServer object.
  `String`
  `getRepositoryID()`
  Get the fully-qualified ID of the repository within the server that contains the object.
  `int`
  `hashCode()`
  `boolean`
  `isFullyFetched()`
  Show whether or not all attributes and associations needed to process the logical service have been fetched.
  `String`
  `toString()`

  ### Methods inherited from class com.sas.services.connection.ConnectionFactoryConfiguration

  `getKernel, getKernel, getKernel, getKernelFromDelegate, getLogicalServerName, isNoRedirect, kernelDestroyed`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### typeFailover

    protected static final Integer typeFailover

  - ### typeLoadBalancing

    protected static final Integer typeLoadBalancing

  - ### longTemplate

    public static final String longTemplate
    See Also:
      - Constant Field Values

  - ### flags

    public static final int flags
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### OMRConnectionFactoryConfiguration

    public OMRConnectionFactoryConfiguration(com.sas.meta.SASOMI.IOMI omrServer, String objectID)
    Constructs a factory configuration based on the ID of a meta data object.
    Parameters:
      `omrServer` - a live connection to an OMR server
      `objectID` - the fully-qualified ID of a LogicalServer object in the OMR server. The LogicalServer object must be associated with a ServiceType object that has Name attribute "Logical IOM Server".

  - ### OMRConnectionFactoryConfiguration

    public OMRConnectionFactoryConfiguration(com.sas.meta.SASOMI.IOMI omrServer, String repositoryID, String objectName)
    Constructs a factory configuration based on the name of a meta data object.
    Parameters:
      `omrServer` - a live connection to an OMR server
      `repositoryID` - the fully-qualified ID of a the repository within the server to search first for the object with the given objectName. If `null` or `""` (empty string) is specified, then all non-project repositories will be searched in an unspecified order.
      `objectName` - the name of a LogicalServer object in the OMR server. The LogicalServer object must be associated with a ServiceType object that has Name attribute "Logical IOM Server".

  - ### OMRConnectionFactoryConfiguration

    public OMRConnectionFactoryConfiguration(com.sas.metadata.LogicalServer object)
    Deprecated.
    use OMRConnectionFactoryConfiguration(com.sas.metadata.remote.LogicalServer)
    Constructs a factory configuration based on a live connection to a meta data object.
    Parameters:
      `object` - a live connection to a LogicalServer object in the OMR server. The LogicalServer object must be associated with a ServiceType object that has Name attribute "Logical IOM Server".

  - ### OMRConnectionFactoryConfiguration

    public OMRConnectionFactoryConfiguration(com.sas.metadata.LogicalServer object, boolean fullyFetched)
    Deprecated.
    use OMRConnectionFactoryConfiguration(com.sas.metadata.remote.LogicalServer)
    Constructs a factory configuration based on a live connection to a meta data object.
    Parameters:
      `object` - a live connection to a LogicalServer object in the OMR server. The LogicalServer object must be associated with a ServiceType object that has Name attribute "Logical IOM Server".
      `fullyFetched` - true if all attributes and associations needed to process this logical server have already been fetched.

  - ### OMRConnectionFactoryConfiguration

    public OMRConnectionFactoryConfiguration(com.sas.metadata.remote.LogicalServer remoteObject)
    Constructs a factory configuration based on a live RMI connection to a meta data object.
    Parameters:
      `remoteObject` - a live RMI connection to a LogicalServer object in the OMR server. The LogicalServer object must be associated with a ServiceType object that has Name attribute "Logical IOM Server".

  - ### OMRConnectionFactoryConfiguration

    public OMRConnectionFactoryConfiguration(com.sas.metadata.remote.LogicalServer remoteObject, boolean fullyFetched)
    Constructs a factory configuration based on a live RMI connection to a meta data object.
    Parameters:
      `remoteObject` - a live RMI connection to a LogicalServer object in the OMR server. The LogicalServer object must be associated with a ServiceType object that has Name attribute "Logical IOM Server".
      `fullyFetched` - true if all attributes and associations needed to process this logical server have already been fetched.

- ## Method Details

  - ### getOMRServer

    public com.sas.meta.SASOMI.IOMI getOMRServer()
    Get the live connection to the OMR server.
    Returns:
      the live connection to the OMR server

  - ### getObjectID

    public String getObjectID()
    Get the fully-qualified ID of the LogicalServer object.
    Returns:
      the fully-qualified ID of the LogicalServer object

  - ### getRepositoryID

    public String getRepositoryID()
    Get the fully-qualified ID of the repository within the server that contains the object.
    Returns:
      the fully-qualified ID of the repository within the server that contains the object

  - ### getObjectName

    public String getObjectName()
    Get the name of the LogicalServer object.
    Returns:
      the name of the LogicalServer object

  - ### getObject

    public com.sas.metadata.LogicalServer getObject()
    Deprecated.
    use getRemoteObject()
    Get the live connection to the LogicalServer object.
    Returns:
      the live connection to the LogicalServer object

  - ### getRemoteObject

    public com.sas.metadata.remote.LogicalServer getRemoteObject()
    Get the live RMI connection to the LogicalServer object.
    Returns:
      the live RMI connection to the LogicalServer object

  - ### isFullyFetched

    public boolean isFullyFetched()
    Show whether or not all attributes and associations needed to process the logical service have been fetched.
    Returns:
      whether or not all attributes and associations needed to process the logical service have been fetched

  - ### equals

    public boolean equals(Object that)
    Overrides:
      `equals` in class `ConnectionFactoryConfiguration`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `ConnectionFactoryConfiguration`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`